| Version: 3.2.5

Classes | Macros | Enumerations | Functions | Variables
filedlg.h File Reference

## Classes

class | wxFileDialog
| This class represents the file chooser dialog. More...

## Macros

#define | wxFD_DEFAULT_STYLE wxFD_OPEN

## Enumerations

enum | { wxFD_OPEN = 0x0001 , wxFD_SAVE = 0x0002 , wxFD_OVERWRITE_PROMPT = 0x0004 , wxFD_NO_FOLLOW = 0x0008 , wxFD_FILE_MUST_EXIST = 0x0010 , wxFD_CHANGE_DIR = 0x0080 , wxFD_PREVIEW = 0x0100 , wxFD_MULTIPLE = 0x0200 , wxFD_SHOW_HIDDEN = 0x0400 }

## Functions

wxString | wxFileSelector (const wxString &message, const wxString &default_path=wxEmptyString, const wxString &default_filename=wxEmptyString, const wxString &default_extension=wxEmptyString, const wxString &wildcard=wxFileSelectorDefaultWildcardStr, int flags=0, wxWindow *parent=NULL, int x=wxDefaultCoord, int y=wxDefaultCoord)
| Pops up a file selector box. More...
wxString | wxFileSelectorEx (const wxString &message=wxFileSelectorPromptStr, const wxString &default_path=wxEmptyString, const wxString &default_filename=wxEmptyString, int *indexDefaultExtension=NULL, const wxString &wildcard=wxFileSelectorDefaultWildcardStr, int flags=0, wxWindow *parent=NULL, int x=wxDefaultCoord, int y=wxDefaultCoord)
| An extended version of wxFileSelector() More...
wxString | wxLoadFileSelector (const wxString &what, const wxString &extension, const wxString &default_name=wxEmptyString, wxWindow *parent=NULL)
| Shows a file dialog asking the user for a file name for opening a file. More...
wxString | wxSaveFileSelector (const wxString &what, const wxString &extension, const wxString &default_name=wxEmptyString, wxWindow *parent=NULL)
| Shows a file dialog asking the user for a file name for saving a file. More...

## Variables

const char | wxFileSelectorDefaultWildcardStr []
| Default wildcard string used in wxFileDialog corresponding to all files. More...

## Macro Definition Documentation

## ◆ wxFD_DEFAULT_STYLE

#define wxFD_DEFAULT_STYLE wxFD_OPEN

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
wxFD_OPEN |
wxFD_SAVE |
wxFD_OVERWRITE_PROMPT |
wxFD_NO_FOLLOW |
wxFD_FILE_MUST_EXIST |
wxFD_CHANGE_DIR |
wxFD_PREVIEW |
wxFD_MULTIPLE |
wxFD_SHOW_HIDDEN |

## Variable Documentation

## ◆ wxFileSelectorDefaultWildcardStr

const char wxFileSelectorDefaultWildcardStr[]

Default wildcard string used in wxFileDialog corresponding to all files.

It is defined as "*.*" under MSW and "*" everywhere else.